Page MenuHomePhabricator

efl.io.writer
Closed, ResolvedPublic

Description

| | |interface Efl.Io.Writer
| | |├ (P) can_write :: set@protected
| | |├ (M) write
| | |├ (E) can_write,changed
zmike created this task.Jan 9 2019, 10:19 AM
zmike triaged this task as TODO priority.
zmike moved this task from Backlog to Evaluating on the efl: api board.Jan 10 2019, 10:08 AM

Besides smelling slightly overengineered, these Efl.Io interfaces do not look too bad, and their API is simple and sensible enough. They are just thin wrappers around POSIX, with added event emission, which is nice.

I'd say this is the simplest and nicest API we have in EFL, although not very useful beyond the tutorials maybe.

zmike moved this task from Evaluating to Stabilized on the efl: api board.Jan 17 2019, 11:07 AM
bu5hm4n raised the priority of this task from TODO to Normal.Feb 22 2019, 1:19 AM
zmike closed this task as Resolved.Mar 11 2019, 10:43 AM
zmike claimed this task.